<?xml version="1.0" encoding="utf-8" ?>
<Recipe Name="SpecifyProjectResponsibility" xmlns="http://schemas.microsoft.com/pag/gax-core" xmlns:xi="http://www.w3.org/2001/XInclude" Bound="false">
	<xi:include href="Includes/CommonTypeAliases.xml"
				xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Types)" />
	<Caption>Specify project responsibility</Caption>
	<Description>Specify project responsibility.</Description>
	<HostData>
		<Icon ID="9677" />
		<CommandBar Menu="Project"/>
		<CommandBar Menu="WebProject"/>
	</HostData>
	<Arguments>
		<Argument Name="Project" Type="EnvDTE.Project, EnvDTE, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
			<Converter Type="ProjectConverter" />
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.VisualStudio.CurrentProjectProvider, Microsoft.Practices.RecipeFramework.Extensions"/>
		</Argument>

		<Argument Name="IsDataEntityProject" Type="System.Boolean">
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.VisualStudio.ProjectGlobalsEntryProvider, Microsoft.Practices.RecipeFramework.Extensions" ProjectArgument="Project" PropertyName="IsDataEntityProject"/>
		</Argument>
		<Argument Name="IsDataEntityProjectValue">
			<ValueProvider Type="Evaluator" Expression="$(IsDataEntityProject.ToString())">
				<MonitorArgument Name="IsDataEntityProject" />
			</ValueProvider>
		</Argument>
		<Argument Name="IsDataAccessProject" Type="System.Boolean">
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.VisualStudio.ProjectGlobalsEntryProvider, Microsoft.Practices.RecipeFramework.Extensions" ProjectArgument="Project" PropertyName="IsDataAccessProject"/>
		</Argument>
		<Argument Name="IsDataAccessProjectValue">
			<ValueProvider Type="Evaluator" Expression="$(IsDataAccessProject.ToString())">
				<MonitorArgument Name="IsDataAccessProject" />
			</ValueProvider>
		</Argument>
		<Argument Name="IsHostProject" Type="System.Boolean">
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.VisualStudio.ProjectGlobalsEntryProvider, Microsoft.Practices.RecipeFramework.Extensions" ProjectArgument="Project" PropertyName="IsHostProject"/>
		</Argument>
		<Argument Name="IsHostProjectValue">
			<ValueProvider Type="Evaluator" Expression="$(IsHostProject.ToString())">
				<MonitorArgument Name="IsHostProject" />
			</ValueProvider>
		</Argument>
		<Argument Name="WebResponsibilities">
			<ValueProvider Type="Evaluator" Expression="IsHostProject" />
		</Argument>
	</Arguments>
	<GatheringServiceData>
		<Wizard xmlns="http://schemas.microsoft.com/pag/gax-wizards" SchemaVersion="1.0">
			<Pages>
				<Page Type="Microsoft.Practices.SoftwareFactories.ServiceFactory.CustomPages.ResponsibilitiesPage, Microsoft.Practices.SoftwareFactories.ServiceFactory">
					<Title>Project responsibilities</Title>
					<LinkTitle>Project responsibilities</LinkTitle>
					<Help>Specify the project responsabilities.</Help>
					<Fields>
						<Field Label="Host Project" ValueName="IsHostProject">
							<Tooltip>Host Project.</Tooltip>
						</Field>
						<Field Label="Data Entity" ValueName="IsDataEntityProject">
							<Tooltip>Data Entity.</Tooltip>
						</Field>
						<Field Label="Data Access Project" ValueName="IsDataAccessProject">
							<Tooltip>Data Access Project.</Tooltip>
						</Field>
					</Fields>
				</Page>
			</Pages>
		</Wizard>
	</GatheringServiceData>
	<Actions>
		<Action Name="SetDataEntitiesResponsibility" Type="Microsoft.Practices.RecipeFramework.Extensions.Actions.VisualStudio.AddProjectGlobalsEntryAction, Microsoft.Practices.RecipeFramework.Extensions"
				PropertyName="IsDataEntityProject">
			<Input Name="Project" RecipeArgument="Project" />
			<Input Name="PropertyValue" RecipeArgument="IsDataEntityProjectValue" />
		</Action>
		<Action Name="SetDataAccessResponsibility" Type="Microsoft.Practices.RecipeFramework.Extensions.Actions.VisualStudio.AddProjectGlobalsEntryAction, Microsoft.Practices.RecipeFramework.Extensions"
				PropertyName="IsDataAccessProject">
			<Input Name="Project" RecipeArgument="Project" />
			<Input Name="PropertyValue" RecipeArgument="IsDataAccessProjectValue" />
		</Action>
		<Action Name="SetHostResponsibility" Type="Microsoft.Practices.RecipeFramework.Extensions.Actions.VisualStudio.AddProjectGlobalsEntryAction, Microsoft.Practices.RecipeFramework.Extensions"
				PropertyName="IsHostProject">
			<Input Name="Project" RecipeArgument="Project" />
			<Input Name="PropertyValue" RecipeArgument="IsHostProjectValue" />
		</Action>
	</Actions>
</Recipe>